GET api/ContactLensPrescriptions?externalId={externalId}

Gets information about a contact lens prescription in the Eye Reach Patients list.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
externalId

Unique ID of the contact lens prescription on integrating system.

string

Required

Body Parameters

None.

Response Information

Resource Description

ContactLensPrescriptionModel
NameDescriptionTypeAdditional information
PatientExternalId

Patient's unique ID on integrating system (Required).

string

None.

LensNameLeftEye

Lens name for left eye.

string

None.

PrescriptionLeftEye

Prescription for left eye.

string

None.

CommentLeftEye

Comments for left eye (Optional).

string

None.

ExpirationDateLeftEye

Expiry date for left eye.

date

None.

LensNameRightEye

Lens name for right eye.

string

None.

PrescriptionRightEye

Prescription for right eye.

string

None.

CommentRightEye

Comment for right eye.(Optional)

string

None.

ExpirationDateRightEye

Expiry date for right eye.

date

None.

PortalCreated

Portal created date of the glasses prescription.

date

None.

Active

contact lens prescription is active or not.(Default value true).

boolean

None.

FileName

Prescription file name.

string

None.

FileContent

Prescription file content.

Collection of byte

None.

PrescribedDate

Prescribed Date.

date

None.

Id

Unique ID of the model in the portal (Read only).

string

None.

ExternalId

Unique ID of the model in the integrating system (Required).

string

None.

Response Formats

application/json, text/json

Sample:
{
  "patientExternalId": "sample string 1",
  "lensNameLeftEye": "sample string 2",
  "prescriptionLeftEye": "sample string 3",
  "commentLeftEye": "sample string 4",
  "expirationDateLeftEye": "2026-05-29T16:58:36.5779051+00:00",
  "lensNameRightEye": "sample string 5",
  "prescriptionRightEye": "sample string 6",
  "commentRightEye": "sample string 7",
  "expirationDateRightEye": "2026-05-29T16:58:36.5779051+00:00",
  "portalCreated": "2026-05-29T16:58:36.5779051+00:00",
  "active": true,
  "fileName": "sample string 10",
  "fileContent": "QEA=",
  "prescribedDate": "2026-05-29T16:58:36.5779051+00:00",
  "id": "sample string 11",
  "externalId": "sample string 12"
}

application/xml, text/xml

Sample:
<ContactLensPrescriptionModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.ContactLensPrescriptions">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 12</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 11</Id>
  <Active>true</Active>
  <CommentLeftEye>sample string 4</CommentLeftEye>
  <CommentRightEye>sample string 7</CommentRightEye>
  <ExpirationDateLeftEye>2026-05-29T16:58:36.5779051+00:00</ExpirationDateLeftEye>
  <ExpirationDateRightEye>2026-05-29T16:58:36.5779051+00:00</ExpirationDateRightEye>
  <FileContent>QEA=</FileContent>
  <FileName>sample string 10</FileName>
  <LensNameLeftEye>sample string 2</LensNameLeftEye>
  <LensNameRightEye>sample string 5</LensNameRightEye>
  <PatientExternalId>sample string 1</PatientExternalId>
  <PortalCreated>2026-05-29T16:58:36.5779051+00:00</PortalCreated>
  <PrescribedDate>2026-05-29T16:58:36.5779051+00:00</PrescribedDate>
  <PrescriptionLeftEye>sample string 3</PrescriptionLeftEye>
  <PrescriptionRightEye>sample string 6</PrescriptionRightEye>
</ContactLensPrescriptionModel>